Class | WSDL::XMLSchema::XSD2Ruby
In: | wsdl/xmlSchema/xsd2ruby.rb
Parent: | Object

### Methods

new run

### Attributes

basedir | [RW] |
location | [RW] |
logger | [RW] |
opt | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/xsd2ruby.rb, line 35
      def initialize
        @location = nil
        @opt = {}
        @logger = Logger.new(STDERR)
        @basedir = nil
        @xsd = nil
        @name = nil
      end

### Public Instance methods

run()

[Source]

    # File wsdl/xmlSchema/xsd2ruby.rb, line 24
      def run
        unless @location
          raise RuntimeError, "XML Schema location not given"
        end
        @xsd = import(@location)
        @name = create_classname(@xsd)
        create_file
      end

[Validate]